Bug 1028611 - Hwcert-client-1.6.5 reports kabi-whitelists rpm required
Hwcert-client-1.6.5 reports kabi-whitelists rpm required
Status: CLOSED DUPLICATE of bug 1028244
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.6.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 16:10 EST by HP Enterprise Cert team
Modified: 2013-11-21 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 19:08:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SUT Info (6.26 MB, application/x-zip-compressed)
2013-11-08 16:10 EST, HP Enterprise Cert team
no flags Details

  None (edit)
Description HP Enterprise Cert team 2013-11-08 16:10:09 EST
Created attachment 821767 [details]
SUT Info

Description of problem:
The hwcert-client-1.6.5-25 reports the kabi-whitelists rpm is required on a SUT with RHEL6.5 snapshot 5. It is my understanding after talking with Chris Tatman the kabi-whitelists rpm has been replaced with the kernel-abi-whitelists rpm which is installed on the RHEL6.5 SUT. Should the hwcert kit be checking for kernel-abi-whitelists instead or is the kabi-whitelists rpm check needed for earlier RHEL6 updates? 

Version-Release number of selected component (if applicable): 
hwcert-client-1.6.5-25
hwcert-client-info-1.6.5-25
Same issue seen with hwcert-client-1.6.5-22.

How reproducible: Always on RHEL 6.5

Steps to Reproduce:
1. Install RHEL 6.5
2. Install hwcert-client-info-1.6.5-25, hwcert-client-1.6.5-25 along with
   latest dt, lmbench & stress
3. Launch kit with hwcert command

Actual results: The following rpms are required - kabi-whitelists

Expected results: All required rpm are installed

Additional info:
The option to install rpm via yum will fail since the SUT is in a test environment w/o access to the internet.
See attachment for the RHEL 6.5 snapshot 5 sosreport, screenshot of required rpm and rpm -qi kernel-abi-whitelists output.
Comment 1 Greg Nichols 2013-11-21 19:08:00 EST

*** This bug has been marked as a duplicate of bug 1028244 ***

Note You need to log in before you can comment on or make changes to this bug.